PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PHTTPClient::ContentProcessor Struct Referenceabstract

Call back to process the body of the HTTP command. More...

`#include <http.h>`

## Public Member Functions
virtual | ~ContentProcessor ()
virtual void * | GetBuffer (PINDEX &size)=0
virtual bool | Process (const void *data, PINDEX length)=0

## Detailed Description

Call back to process the body of the HTTP command.

## Constructor & Destructor Documentation

virtual PHTTPClient::ContentProcessor::~ContentProcessor | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void* PHTTPClient::ContentProcessor::GetBuffer | ( | PINDEX & | size | ) |
| pure virtual

virtual bool PHTTPClient::ContentProcessor::Process | ( | const void * | data,
|  | PINDEX | length
| ) |  |
| pure virtual

The documentation for this struct was generated from the following file:

- http.h